linux安装php memcache扩展

安装依赖和memcached客户端

yum install libmemcached libmemcached-devel
yum install zlib zlib-devel

如果没有libmemcached,将会出现以下错误:


checking for libmemcached location… configure: error: memcached support requires libmemcached. Use –with-libmemcached-dir=<DIR> to specify the prefix where libmemcached headers and library are located

ERROR: `/var/tmp/memcached/configure –with-libmemcached-dir=no' failed


如果没有zlib模块,则会出现:


checking for the location of zlib… configure: error: memcache support requires ZLIB. Use –with-zlib-dir=<DIR> to specify prefix where ZLIB include and library are located

ERROR: `/var/tmp/memcache/configure –enable-memcache-session=No' failed


安装扩展

下载地址:https://github.com/php-memcached-dev/php-memcached/releases

wget https://github.com/php-memcached-dev/php-memcached/releases 
cd php-memcached-3.1.3/
phpize
./configure --with-php-config=/www/server/php/72/bin/php-config //php-config路径根据安装的php目录不同而不同,本人是宝塔
make && make instal

安装成功之后,进入php.ini中,在最底部增加:

extension=memcached.so

通过php --ri 查看memcache安装情况以及版本

[root@localhost php-memcached-3.1.3]# php --ri memcached

memcached

memcached support => enabled
Version => 3.1.3
libmemcached version => 1.0.16
SASL support => yes
Session support => yes
igbinary support => no
json support => no
msgpack support => no


如果是php-fpm,需要重启php-fpm才能生效


仙士可博客
请先登录后发表评论
  • 最新评论
  • 总共0条评论
  • 本站由白俊遥博客程序搭建
    © 2017-1-17 php20.cn 版权所有 ICP证:闽ICP备17001387号
  • 联系邮箱:1067197739@qq.com